Package org.sqlite

## Enum SQLiteUpdateListener.Type

- java.lang.Object
- - java.lang.Enum<SQLiteUpdateListener.Type>
  - - org.sqlite.SQLiteUpdateListener.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SQLiteUpdateListener.Type>`

Enclosing interface:
  SQLiteUpdateListener

    public static enum SQLiteUpdateListener.Type
    extends Enum<SQLiteUpdateListener.Type>

### Enum Constant Summary

Enum Constants
`DELETE`
`INSERT`
`UPDATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static SQLiteUpdateListener.Type` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteUpdateListener.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSERT

    public static final SQLiteUpdateListener.Type INSERT

#### DELETE

    public static final SQLiteUpdateListener.Type DELETE

#### UPDATE

    public static final SQLiteUpdateListener.Type UPDATE

### Method Detail

#### values

    public static SQLiteUpdateListener.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteUpdateListener.Type c : SQLiteUpdateListener.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteUpdateListener.Type valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null